CPIF(1)

NAME
cpif - selectively update files

SYNOPSIS
cpif [-eq|-ne] file ...

DESCRIPTION
cpif is an auxiliary tool for use with notangle(1) and make(1). cpif compares its standard input to each of the named files, overwriting the file if the comparison succeeds or if the named file does not exist. If neither -eq or -ne is specified, the default is -ne. Typical usage is in the following default rule, suitable for use in a Makefile.
 .nw.h: ; notangle -Rheader $*.nw | cpif $*.h

SEE ALSO
notangle(1)

VERSION
This man page is from noweb version 2.10a.

AUTHOR
Norman Ramsey, Harvard University. Internet address nr@eecs.harvard.edu.
Noweb home page at http://www.eecs.harvard.edu/~nr/noweb.